Get invoice payment status
curl --request GET \
--url https://connect.withvayu.com/invoices/{invoiceId}/payment-status \
--header 'Authorization: Bearer <token>'import requests
url = "https://connect.withvayu.com/invoices/{invoiceId}/payment-status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://connect.withvayu.com/invoices/{invoiceId}/payment-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoiceId": "<string>",
"billingStatus": "None",
"amountDue": 123,
"amountPaid": 123,
"total": 123,
"dueDate": "2023-11-07T05:31:56Z",
"paidAt": "2023-11-07T05:31:56Z",
"invoicePdfUrl": "<string>"
}{
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"params": [
{
"param": "<string>",
"message": "<string>"
}
]
}{
"type": "authentication_error",
"code": "authentication_failed",
"message": "<string>"
}{
"type": "rate_limit_error",
"code": "rate_limit_exceeded",
"message": "<string>"
}{
"type": "api_error",
"code": "internal_error",
"message": "<string>"
}Invoices
Get invoice payment status
Use this endpoint to retrieve payment status information for a specific invoice, including payment status, amount due, amount paid, total, due date, paid date, and invoice PDF URL.
GET
/
invoices
/
{invoiceId}
/
payment-status
Get invoice payment status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^[0-9a-fA-F]{24}$Response
Invoice payment status information including payment status, amounts, and dates.
Pattern:
^[0-9a-fA-F]{24}$The billing status of the invoice
Available options:
None, Paid, Rejected, PendingPayment, Overdue ⌘I
